org.apache.ignite.stream.kafka.connect.serialization

## Class CacheEventDeserializer

- java.lang.Object
- - org.apache.ignite.stream.kafka.connect.serialization.CacheEventDeserializer

- All Implemented Interfaces:
    Closeable, AutoCloseable, org.apache.kafka.common.serialization.Deserializer<CacheEvent>

      public class CacheEventDeserializer
      extends Object
      implements org.apache.kafka.common.serialization.Deserializer<CacheEvent>

  Deserializer based on `JdkMarshaller`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CacheEventDeserializer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `void` | `configure(Map<String,?> map, boolean b)`
    `CacheEvent` | `deserialize(String topic, byte[] bytes)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CacheEventDeserializer

          public CacheEventDeserializer()

  - ### Method Detail

    - #### configure

          public void configure(Map<String,?> map,
                                boolean b)

      Specified by:
        `configure` in interface `org.apache.kafka.common.serialization.Deserializer<CacheEvent>`

    - #### deserialize

          public CacheEvent deserialize(String topic,
                                        byte[] bytes)

      Specified by:
        `deserialize` in interface `org.apache.kafka.common.serialization.Deserializer<CacheEvent>`

    - #### close

          public void close()

      Specified by:
        `close` in interface `Closeable`
      Specified by:
        `close` in interface `AutoCloseable`
      Specified by:
        `close` in interface `org.apache.kafka.common.serialization.Deserializer<CacheEvent>`

2020 Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.9.1
Release Date | : December 9 2020